Subject: Can't build with `--disable-regex`

From: [email-masked]
Date: Fri, 25 Mar 2022 13:58:05 +0000

Hello there,

While trying to build a minimal version of Guile I ran into some errors which seem to stem from the `--disable-regex` flag.
I was building from the guile-3.0.8.tar.gz tarball on an updated amd64 Arch GNU/Linux system.
After extracting I ran the following commands:
```
./configure --disable-regex
make -j
```

After a short while I get the following error message:
```
Backtrace:
          15 (apply-smob/1 #<boot-closure 7f09bde1cb60 ()>)
          14 (primitive-load "/home/benny/build/guile-3.0.8/meta/gui?")
          13 (primitive-eval (define-module (guild) #:use-module # ?))
          12 (apply-smob/1 #<boot-closure 7f09be565220 (_)> (# (#) ?))
          11 (primitive-eval #<struct:7f09c5edb8a0 pwpwpwpwpw 7f09bd?>)
          10 (apply-smob/1 #<boot-closure 7f09bdee1d00 ()>)
           9 (apply-smob/1 #<boot-closure 7f09bdee1b40 ()>)
           8 (apply-smob/1 #<boot-closure 7f09bdee1380 ()>)
           7 (apply-smob/1 #<boot-closure 7f09bdee4880 ()>)
           6 (apply-smob/1 #<boot-closure 7f09bdee4600 ()>)
           5 (apply-smob/1 #<boot-closure 7f09bdee44c0 ()>)
           4 (apply-smob/1 #<boot-closure 7f09bdee4420 ()>)
           3 (apply-smob/1 #<boot-closure 7f09bdee5320 ()>)
           2 (primitive-load-path "ice-9/getopt-long" #<boot-closure?>)
           1 (primitive-eval (define short-opt-rx (make-regexp "?")))
           0 (apply-smob/1 #<boot-closure 7f09be2a9300 (_ . _)> # #f ?)

ERROR: In procedure apply-smob/1:
Unbound variable: make-regexp
make[3]: *** [Makefile:4560: guile-procedures.texi] Error 1
make[3]: Leaving directory '/home/benny/build/guile-3.0.8/libguile'
make[2]: *** [Makefile:2632: all] Error 2
make[2]: Leaving directory '/home/benny/build/guile-3.0.8/libguile'
make[1]: *** [Makefile:2061: all-recursive] Error 1
make[1]: Leaving directory '/home/benny/build/guile-3.0.8'
make: *** [Makefile:1947: all] Error 2
```

Yours truly,
Benjamin Schulenburg